using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SysCore;
using SysCore.Control;

public partial class System_SystemFrame_DefaultPage : System.Web.UI.Page
{
    public string login_info;
    public Hashtable xview = new Hashtable();
    public AuthUI auth = new AuthUI();
    protected void Page_Load(object sender, EventArgs e)
    {
        LoginInfo li = new LoginInfo();
        string account_name = new ConfigReader().GetConfig("account_name");//账套名称
        login_info = "(" + li.db_id + ")" + account_name + " "
             + " 当前用户：" + li.username + " "
             + " 登录日期：" + li.login_date;
        if (Session["expiry_date"] != null)
        {
            login_info += " 到期日：" + Session["expiry_date"].ToString();
        }
        if (Session["allow_user_numbers"] != null)
        {
            login_info += " 许可用户数：" + Session["allow_user_numbers"].ToString();
        }

        xview.Add("nickname", li.nickname);
        //权限：首页资金面板
        if (!auth.AuthCheck("System_CommonModule_HomeAmountPanel"))
        {
            xview.Add("show_home_amount_panel", "display:none;");
        }
        else
        {
            xview.Add("show_home_amount_panel", "");
        }
    }
}